/* shared configuration for Voxd-compatible program - part of the VoiceOver application
** Copyright (C) 2017  Lew Pitcher
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License along
** with this program; if not, write to the Free Software Foundation, Inc.,
** 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
**
** Lew Pitcher <lew.pitcher@digitalfreehold.ca>
*/

#ifndef	VOXCONFIG_H
#define VOXCONFIG_H 1

/* MAXMSGLEN defines the maximum number of bytes in the datagram sent to voxd */
#define	MAXMSGLEN		32766

/*
** CONFIGPATH	defines the default path of the voxd configuration file
** LOCKFILEPATH	defines the default path to the voxd serialization lock file
** PIDFILEPATH	defines the default path to the voxd PID file
** SOCKETPATH	defines the default path to the voxd Unix Datagram socket
*/
#define CONFIGPATH	"/etc/voiceover.conf"
#define LOCKFILEPATH	"/var/lock/voxd.lock"
#define PIDFILEPATH	"/var/run/voxd.pid"
#define SOCKETPATH	"/var/run/voxd.socket"


#endif  /* VOXCONFIG_H */
